diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/includes/meta-boxes.php ./wordpress-3.4/wp-admin/includes/meta-boxes.php
*** ./wordpress-3.3.2/wp-admin/includes/meta-boxes.php	2011-09-29 16:21:15.000000000 -0500
--- ./wordpress-3.4/wp-admin/includes/meta-boxes.php	2012-05-25 08:45:16.000000000 -0500
***************
*** 887,914 ****
   */
  function link_advanced_meta_box($link) {
  ?>
! <table class="form-table" style="width: 100%;" cellspacing="2" cellpadding="5">
! 	<tr class="form-field">
! 		<th valign="top"  scope="row"><label for="link_image"><?php _e('Image Address') ?></label></th>
! 		<td><input type="text" name="link_image" class="code" id="link_image" size="50" value="<?php echo ( isset( $link->link_image ) ? esc_attr($link->link_image) : ''); ?>" style="width: 95%" /></td>
! 	</tr>
! 	<tr class="form-field">
! 		<th valign="top"  scope="row"><label for="rss_uri"><?php _e('RSS Address') ?></label></th>
! 		<td><input name="link_rss" class="code" type="text" id="rss_uri" value="<?php echo  ( isset( $link->link_rss ) ? esc_attr($link->link_rss) : ''); ?>" size="50" style="width: 95%" /></td>
! 	</tr>
! 	<tr class="form-field">
! 		<th valign="top"  scope="row"><label for="link_notes"><?php _e('Notes') ?></label></th>
! 		<td><textarea name="link_notes" id="link_notes" cols="50" rows="10" style="width: 95%"><?php echo ( isset( $link->link_notes ) ? $link->link_notes : ''); // textarea_escaped ?></textarea></td>
  	</tr>
! 	<tr class="form-field">
! 		<th valign="top"  scope="row"><label for="link_rating"><?php _e('Rating') ?></label></th>
  		<td><select name="link_rating" id="link_rating" size="1">
  		<?php
! 			for ($r = 0; $r <= 10; $r++) {
! 				echo('            <option value="'. esc_attr($r) .'" ');
! 				if ( isset($link->link_rating) && $link->link_rating == $r)
! 					echo 'selected="selected"';
! 				echo('>'.$r.'</option>');
  			}
  		?></select>&nbsp;<?php _e('(Leave at 0 for no rating.)') ?>
  		</td>
--- 877,904 ----
   */
  function link_advanced_meta_box($link) {
  ?>
! <table class="links-table" cellpadding="0">
! 	<tr>
! 		<th scope="row"><label for="link_image"><?php _e('Image Address') ?></label></th>
! 		<td><input type="text" name="link_image" class="code" id="link_image" value="<?php echo ( isset( $link->link_image ) ? esc_attr($link->link_image) : ''); ?>" /></td>
! 	</tr>
! 	<tr>
! 		<th scope="row"><label for="rss_uri"><?php _e('RSS Address') ?></label></th>
! 		<td><input name="link_rss" class="code" type="text" id="rss_uri" value="<?php echo ( isset( $link->link_rss ) ? esc_attr($link->link_rss) : ''); ?>" /></td>
! 	</tr>
! 	<tr>
! 		<th scope="row"><label for="link_notes"><?php _e('Notes') ?></label></th>
! 		<td><textarea name="link_notes" id="link_notes" rows="10"><?php echo ( isset( $link->link_notes ) ? $link->link_notes : ''); // textarea_escaped ?></textarea></td>
  	</tr>
! 	<tr>
! 		<th scope="row"><label for="link_rating"><?php _e('Rating') ?></label></th>
  		<td><select name="link_rating" id="link_rating" size="1">
  		<?php
! 			for ( $r = 0; $r <= 10; $r++ ) {
! 				echo '<option value="' . $r . '"';
! 				if ( isset($link->link_rating) && $link->link_rating == $r )
! 					echo ' selected="selected"';
! 				echo('>' . $r . '</option>');
  			}
  		?></select>&nbsp;<?php _e('(Leave at 0 for no rating.)') ?>
  		</td>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/includes/misc.php ./wordpress-3.4/wp-admin/includes/misc.php
*** ./wordpress-3.3.2/wp-admin/includes/misc.php	2011-12-10 12:26:48.000000000 -0600
--- ./wordpress-3.4/wp-admin/includes/misc.php	2012-04-09 20:19:30.000000000 -0500
***************
*** 196,212 ****
   *
   * @since 2.1.0
   *
!  * @param unknown_type $old_value
!  * @param unknown_type $value
   */
  function update_home_siteurl( $old_value, $value ) {
- 	global $wp_rewrite;
- 
  	if ( defined( "WP_INSTALLING" ) )
  		return;
  
  	// If home changed, write rewrite rules to new location.
! 	$wp_rewrite->flush_rules();
  }
  
  add_action( 'update_option_home', 'update_home_siteurl', 10, 2 );
--- 196,210 ----
   *
   * @since 2.1.0
   *
!  * @param string $old_value
!  * @param string $value
   */
  function update_home_siteurl( $old_value, $value ) {
  	if ( defined( "WP_INSTALLING" ) )
  		return;
  
  	// If home changed, write rewrite rules to new location.
! 	flush_rewrite_rules();
  }
  
  add_action( 'update_option_home', 'update_home_siteurl', 10, 2 );
***************
*** 586,594 ****
  }
  
  function _ipad_meta() {
! 	if ( strpos($_SERVER['HTTP_USER_AGENT'], 'iPad') !== false ) { ?>
! 		<meta name="viewport" id="ipad-viewportmeta" content="width=device-width, initial-scale=1">
! 	<?php
  	}
  }
  add_action('admin_head', '_ipad_meta');
--- 583,592 ----
  }
  
  function _ipad_meta() {
! 	if ( wp_is_mobile() ) {
! 		?>
! 		<meta name="viewport" id="viewport-meta" content="width=device-width, initial-scale=1">
! 		<?php
  	}
  }
  add_action('admin_head', '_ipad_meta');
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/includes/ms-deprecated.php ./wordpress-3.4/wp-admin/includes/ms-deprecated.php
*** ./wordpress-3.3.2/wp-admin/includes/ms-deprecated.php	2010-04-04 08:29:35.000000000 -0500
--- ./wordpress-3.4/wp-admin/includes/ms-deprecated.php	2012-02-28 15:24:44.000000000 -0600
***************
*** 65,68 ****
  	return is_network_only_plugin( $file );
  }
  
! ?>
\ No newline at end of file
--- 65,76 ----
  	return is_network_only_plugin( $file );
  }
  
! function get_site_allowed_themes() {
! 	_deprecated_function( __FUNCTION__, '3.4', 'WP_Theme::get_allowed_on_network()' );
! 	return array_map( 'intval', WP_Theme::get_allowed_on_network() );
! }
! 
! function wpmu_get_blog_allowedthemes( $blog_id = 0 ) {
! 	_deprecated_function( __FUNCTION__, '3.4', 'WP_Theme::get_allowed_on_site()' );
! 	return array_map( 'intval', WP_Theme::get_allowed_on_site( $blog_id ) );
! }
\ No newline at end of file
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/includes/ms.php ./wordpress-3.4/wp-admin/includes/ms.php
*** ./wordpress-3.3.2/wp-admin/includes/ms.php	2012-01-03 11:54:50.000000000 -0600
--- ./wordpress-3.4/wp-admin/includes/ms.php	2012-05-30 11:14:57.000000000 -0500
***************
*** 49,55 ****
   * @since 3.0.0
   *
   * @param int $blog_id Blog ID
!  * @param bool $drop True if blog's table should be dropped.  Default is false.
   * @return void
   */
  function wpmu_delete_blog( $blog_id, $drop = false ) {
--- 49,55 ----
   * @since 3.0.0
   *
   * @param int $blog_id Blog ID
!  * @param bool $drop True if blog's table should be dropped. Default is false.
   * @return void
   */
  function wpmu_delete_blog( $blog_id, $drop = false ) {
***************
*** 89,95 ****
  			$wpdb->query( "DROP TABLE IF EXISTS `$table`" );
  		}
  
! 		$wpdb->query( $wpdb->prepare( "DELETE FROM $wpdb->blogs WHERE blog_id = %d", $blog_id ) );
  		$dir = apply_filters( 'wpmu_delete_blog_upload_dir', WP_CONTENT_DIR . "/blogs.dir/{$blog_id}/files/", $blog_id );
  		$dir = rtrim( $dir, DIRECTORY_SEPARATOR );
  		$top_dir = $dir;
--- 89,96 ----
  			$wpdb->query( "DROP TABLE IF EXISTS `$table`" );
  		}
  
! 		$wpdb->delete( $wpdb->blogs, array( 'blog_id' => $blog_id ) );
! 
  		$dir = apply_filters( 'wpmu_delete_blog_upload_dir', WP_CONTENT_DIR . "/blogs.dir/{$blog_id}/files/", $blog_id );
  		$dir = rtrim( $dir, DIRECTORY_SEPARATOR );
  		$top_dir = $dir;
***************
*** 115,121 ****
  			$index++;
  		}
  
! 		$stack = array_reverse( $stack );  // Last added dirs are deepest
  		foreach( (array) $stack as $dir ) {
  			if ( $dir != $top_dir)
  			@rmdir( $dir );
--- 116,122 ----
  			$index++;
  		}
  
! 		$stack = array_reverse( $stack ); // Last added dirs are deepest
  		foreach( (array) $stack as $dir ) {
  			if ( $dir != $top_dir)
  			@rmdir( $dir );
***************
*** 131,136 ****
--- 132,138 ----
  	global $wpdb;
  
  	$id = (int) $id;
+ 	$user = new WP_User( $id );
  
  	do_action( 'wpmu_delete_user', $id );
  
***************
*** 158,167 ****
  		}
  	}
  
! 	$wpdb->query( $wpdb->prepare( "DELETE FROM $wpdb->users WHERE ID = %d", $id ) );
! 	$wpdb->query( $wpdb->prepare( "DELETE FROM $wpdb->usermeta WHERE user_id = %d", $id ) );
  
! 	clean_user_cache( $id );
  
  	// allow for commit transaction
  	do_action( 'deleted_user', $id );
--- 160,172 ----
  		}
  	}
  
! 	$meta = $wpdb->get_col( $wpdb->prepare( "SELECT umeta_id FROM $wpdb->usermeta WHERE user_id = %d", $id ) );
! 	foreach ( $meta as $mid )
! 		delete_metadata_by_mid( 'user', $mid );
! 
! 	$wpdb->delete( $wpdb->users, array( 'ID' => $id ) );
  
! 	clean_user_cache( $user );
  
  	// allow for commit transaction
  	do_action( 'deleted_user', $id );
***************
*** 169,203 ****
  	return true;
  }
  
- function wpmu_get_blog_allowedthemes( $blog_id = 0 ) {
- 	$themes = get_themes();
- 
- 	if ( $blog_id != 0 )
- 		switch_to_blog( $blog_id );
- 
- 	$blog_allowed_themes = get_option( 'allowedthemes' );
- 	if ( !is_array( $blog_allowed_themes ) || empty( $blog_allowed_themes ) ) { // convert old allowed_themes to new allowedthemes
- 		$blog_allowed_themes = get_option( 'allowed_themes' );
- 
- 		if ( is_array( $blog_allowed_themes ) ) {
- 			foreach( (array) $themes as $key => $theme ) {
- 				$theme_key = esc_html( $theme['Stylesheet'] );
- 				if ( isset( $blog_allowed_themes[$key] ) == true ) {
- 					$blog_allowedthemes[$theme_key] = 1;
- 				}
- 			}
- 			$blog_allowed_themes = $blog_allowedthemes;
- 			add_option( 'allowedthemes', $blog_allowed_themes );
- 			delete_option( 'allowed_themes' );
- 		}
- 	}
- 
- 	if ( $blog_id != 0 )
- 		restore_current_blog();
- 
- 	return $blog_allowed_themes;
- }
- 
  function update_option_new_admin_email( $old_value, $value ) {
  	$email = get_option( 'admin_email' );
  	if ( $value == get_option( 'admin_email' ) || !is_email( $value ) )
--- 174,179 ----
***************
*** 296,321 ****
  }
  add_action( 'admin_notices', 'new_user_email_admin_notice' );
  
- function get_site_allowed_themes() {
- 	$themes = get_themes();
- 	$allowed_themes = get_site_option( 'allowedthemes' );
- 	if ( !is_array( $allowed_themes ) || empty( $allowed_themes ) ) {
- 		$allowed_themes = get_site_option( 'allowed_themes' ); // convert old allowed_themes format
- 		if ( !is_array( $allowed_themes ) ) {
- 			$allowed_themes = array();
- 		} else {
- 			foreach( (array) $themes as $key => $theme ) {
- 				$theme_key = esc_html( $theme['Stylesheet'] );
- 				if ( isset( $allowed_themes[ $key ] ) == true ) {
- 					$allowedthemes[ $theme_key ] = 1;
- 				}
- 			}
- 			$allowed_themes = $allowedthemes;
- 		}
- 	}
- 	return $allowed_themes;
- }
- 
  /**
   * Determines if there is any upload space left in the current blog's quota.
   *
--- 272,277 ----
***************
*** 423,429 ****
  	?>
  	<tr>
  		<th><?php _e( 'Site Upload Space Quota '); ?></th>
! 		<td><input type="text" size="3" name="option[blog_upload_space]" value="<?php echo $quota; ?>" /> <?php _e( 'MB (Leave blank for network default)' ); ?></td>
  	</tr>
  	<?php
  }
--- 379,385 ----
  	?>
  	<tr>
  		<th><?php _e( 'Site Upload Space Quota '); ?></th>
! 		<td><input type="number" step="1" min="0" style="width: 100px" name="option[blog_upload_space]" value="<?php echo $quota; ?>" /> <?php _e( 'MB (Leave blank for network default)' ); ?></td>
  	</tr>
  	<?php
  }
***************
*** 432,443 ****
  function update_user_status( $id, $pref, $value, $deprecated = null ) {
  	global $wpdb;
  
! 	if ( null !== $deprecated  )
  		_deprecated_argument( __FUNCTION__, '3.1' );
  
  	$wpdb->update( $wpdb->users, array( $pref => $value ), array( 'ID' => $id ) );
  
! 	clean_user_cache( $id );
  
  	if ( $pref == 'spam' ) {
  		if ( $value == 1 )
--- 388,400 ----
  function update_user_status( $id, $pref, $value, $deprecated = null ) {
  	global $wpdb;
  
! 	if ( null !== $deprecated )
  		_deprecated_argument( __FUNCTION__, '3.1' );
  
  	$wpdb->update( $wpdb->users, array( $pref => $value ), array( 'ID' => $id ) );
  
! 	$user = new WP_User( $id );
! 	clean_user_cache( $user );
  
  	if ( $pref == 'spam' ) {
  		if ( $value == 1 )
***************
*** 455,461 ****
  	if ( !$user = get_userdata( $id ) )
  		return false;
  
! 	clean_user_cache( $id );
  
  	return $id;
  }
--- 412,418 ----
  	if ( !$user = get_userdata( $id ) )
  		return false;
  
! 	clean_user_cache( $user );
  
  	return $id;
  }
***************
*** 551,557 ****
  			$output[$be] = '<option value="' . esc_attr( $code_lang ) . '"' . selected( $current, $code_lang, false ) . '> ' . $be . '</option>';
  		} else {
  			$translated = format_code_lang( $code_lang );
! 			$output[$translated] =  '<option value="' . esc_attr( $code_lang ) . '"' . selected( $current, $code_lang, false ) . '> ' . esc_html ( $translated ) . '</option>';
  		}
  
  	}
--- 508,514 ----
  			$output[$be] = '<option value="' . esc_attr( $code_lang ) . '"' . selected( $current, $code_lang, false ) . '> ' . $be . '</option>';
  		} else {
  			$translated = format_code_lang( $code_lang );
! 			$output[$translated] = '<option value="' . esc_attr( $code_lang ) . '"' . selected( $current, $code_lang, false ) . '> ' . esc_html ( $translated ) . '</option>';
  		}
  
  	}
***************
*** 636,642 ****
  				<?php foreach( (array) $all_blogs as $blog ) {
  					if ( $primary_blog == $blog->userblog_id )
  						$found = true;
! 					?><option value="<?php echo $blog->userblog_id ?>"<?php selected( $primary_blog,  $blog->userblog_id ); ?>><?php echo esc_url( get_home_url( $blog->userblog_id ) ) ?></option><?php
  				} ?>
  			</select>
  			<?php
--- 593,599 ----
  				<?php foreach( (array) $all_blogs as $blog ) {
  					if ( $primary_blog == $blog->userblog_id )
  						$found = true;
! 					?><option value="<?php echo $blog->userblog_id ?>"<?php selected( $primary_blog, $blog->userblog_id ); ?>><?php echo esc_url( get_home_url( $blog->userblog_id ) ) ?></option><?php
  				} ?>
  			</select>
  			<?php
***************
*** 773,782 ****
   * Whether or not we have a large network.
   *
   * The default criteria for a large network is either more than 10,000 users or more than 10,000 sites.
!  * Plugins can alter this criteria  using the 'wp_is_large_network' filter.
   *
   * @since 3.3.0
!  * @param string $using 'sites or 'users'.  Default is 'sites'.
   * @return bool True if the network meets the criteria for large. False otherwise.
   */
  function wp_is_large_network( $using = 'sites' ) {
--- 730,739 ----
   * Whether or not we have a large network.
   *
   * The default criteria for a large network is either more than 10,000 users or more than 10,000 sites.
!  * Plugins can alter this criteria using the 'wp_is_large_network' filter.
   *
   * @since 3.3.0
!  * @param string $using 'sites or 'users'. Default is 'sites'.
   * @return bool True if the network meets the criteria for large. False otherwise.
   */
  function wp_is_large_network( $using = 'sites' ) {
***************
*** 788,791 ****
  	$count = get_blog_count();
  	return apply_filters( 'wp_is_large_network', $count > 10000, 'sites', $count );
  }
- ?>
--- 745,747 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/includes/nav-menu.php ./wordpress-3.4/wp-admin/includes/nav-menu.php
*** ./wordpress-3.3.2/wp-admin/includes/nav-menu.php	2011-10-28 10:48:44.000000000 -0500
--- ./wordpress-3.4/wp-admin/includes/nav-menu.php	2012-03-09 19:23:48.000000000 -0600
***************
*** 7,13 ****
   * @since 3.0.0
   * @uses Walker_Nav_Menu
   */
! class Walker_Nav_Menu_Edit extends Walker_Nav_Menu  {
  	/**
  	 * @see Walker_Nav_Menu::start_lvl()
  	 * @since 3.0.0
--- 7,13 ----
   * @since 3.0.0
   * @uses Walker_Nav_Menu
   */
! class Walker_Nav_Menu_Edit extends Walker_Nav_Menu {
  	/**
  	 * @see Walker_Nav_Menu::start_lvl()
  	 * @since 3.0.0
***************
*** 209,215 ****
   * @since 3.0.0
   * @uses Walker_Nav_Menu
   */
! class Walker_Nav_Menu_Checklist extends Walker_Nav_Menu  {
  	function __construct( $fields = false ) {
  		if ( $fields ) {
  			$this->db_fields = $fields;
--- 209,215 ----
   * @since 3.0.0
   * @uses Walker_Nav_Menu
   */
! class Walker_Nav_Menu_Checklist extends Walker_Nav_Menu {
  	function __construct( $fields = false ) {
  		if ( $fields ) {
  			$this->db_fields = $fields;
***************
*** 692,698 ****
  			}
  			?>
  			<p class="quick-search-wrap">
! 				<input type="text" class="quick-search input-with-default-title" title="<?php esc_attr_e('Search'); ?>" value="<?php echo $searched; ?>" name="quick-search-posttype-<?php echo $post_type_name; ?>" />
  				<img class="waiting" src="<?php echo esc_url( admin_url( 'images/wpspin_light.gif' ) ); ?>" alt="" />
  				<?php submit_button( __( 'Search' ), 'quick-search-submit button-secondary hide-if-js', 'submit', false, array( 'id' => 'submit-quick-search-posttype-' . $post_type_name ) ); ?>
  			</p>
--- 691,697 ----
  			}
  			?>
  			<p class="quick-search-wrap">
! 				<input type="search" class="quick-search input-with-default-title" title="<?php esc_attr_e('Search'); ?>" value="<?php echo $searched; ?>" name="quick-search-posttype-<?php echo $post_type_name; ?>" />
  				<img class="waiting" src="<?php echo esc_url( admin_url( 'images/wpspin_light.gif' ) ); ?>" alt="" />
  				<?php submit_button( __( 'Search' ), 'quick-search-submit button-secondary hide-if-js', 'submit', false, array( 'id' => 'submit-quick-search-posttype-' . $post_type_name ) ); ?>
  			</p>
***************
*** 814,820 ****
  		'hide_empty' => false,
  		'hierarchical' => 1,
  		'include' => '',
- 		'include_last_update_time' => false,
  		'number' => $per_page,
  		'offset' => $offset,
  		'order' => 'ASC',
--- 811,816 ----
***************
*** 926,932 ****
  			}
  			?>
  			<p class="quick-search-wrap">
! 				<input type="text" class="quick-search input-with-default-title" title="<?php esc_attr_e('Search'); ?>" value="<?php echo $searched; ?>" name="quick-search-taxonomy-<?php echo $taxonomy_name; ?>" />
  				<img class="waiting" src="<?php echo esc_url( admin_url( 'images/wpspin_light.gif' ) ); ?>" alt="" />
  				<?php submit_button( __( 'Search' ), 'quick-search-submit button-secondary hide-if-js', 'submit', false, array( 'id' => 'submit-quick-search-taxonomy-' . $taxonomy_name ) ); ?>
  			</p>
--- 922,928 ----
  			}
  			?>
  			<p class="quick-search-wrap">
! 				<input type="search" class="quick-search input-with-default-title" title="<?php esc_attr_e('Search'); ?>" value="<?php echo $searched; ?>" name="quick-search-taxonomy-<?php echo $taxonomy_name; ?>" />
  				<img class="waiting" src="<?php echo esc_url( admin_url( 'images/wpspin_light.gif' ) ); ?>" alt="" />
  				<?php submit_button( __( 'Search' ), 'quick-search-submit button-secondary hide-if-js', 'submit', false, array( 'id' => 'submit-quick-search-taxonomy-' . $taxonomy_name ) ); ?>
  			</p>
***************
*** 990,996 ****
  				(
  					! isset( $_item_object_data['menu-item-type'] ) || // and item type either isn't set
  					in_array( $_item_object_data['menu-item-url'], array( 'http://', '' ) ) || // or URL is the default
! 					! ( 'custom' == $_item_object_data['menu-item-type'] && ! isset( $_item_object_data['menu-item-db-id'] ) ) ||  // or it's not a custom menu item (but not the custom home page)
  					! empty( $_item_object_data['menu-item-db-id'] ) // or it *is* a custom menu item that already exists
  				)
  			) {
--- 986,992 ----
  				(
  					! isset( $_item_object_data['menu-item-type'] ) || // and item type either isn't set
  					in_array( $_item_object_data['menu-item-url'], array( 'http://', '' ) ) || // or URL is the default
! 					! ( 'custom' == $_item_object_data['menu-item-type'] && ! isset( $_item_object_data['menu-item-db-id'] ) ) || // or it's not a custom menu item (but not the custom home page)
  					! empty( $_item_object_data['menu-item-db-id'] ) // or it *is* a custom menu item that already exists
  				)
  			) {
***************
*** 1165,1169 ****
  }
  
  add_action('admin_head-nav-menus.php', '_wp_delete_orphaned_draft_menu_items');
- 
- ?>
--- 1160,1162 ----
